### Method

# ECal ComponentAlarmTrigger free

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_free (
      ECalComponentAlarmTrigger* trigger
    )

#### Description [src]

Free `trigger`, previously created by e_cal_component_alarm_trigger_new_relative(), e_cal_component_alarm_trigger_new_absolute(), `e_cal_component_alarm_trigger_new_from_property()` or e_cal_component_alarm_trigger_copy(). The function does nothing, if `trigger` is `NULL`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`trigger`

  Type: `ECalComponentAlarmTrigger`

  An `ECalComponentAlarmTrigger` to free.

  The argument can be `NULL`.